package asw.asw850.hello;

import java.util.HashMap;
import java.util.Map;
import java.util.logging.Logger;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;

/**
 * Session Bean implementation class HelloBean
 */
@Stateless(mappedName = "ejb/asw850/HelloBean")
public class HelloBean implements HelloRemote {

	/* logger */ 
	private Logger logger; 
	
	/* mappa (dei formati) dei saluti nelle diverse lingue */
	private Map<String, String> saluti; 

	/* inizializza un'istanza del bean */ 
	@PostConstruct
	public void initialize() {
		/* fa il logging sul log del server EJB 
		 * in particolare, nel file C:\glassfish4\glassfish\domains\domain1\logs\server.log */ 
    	logger = Logger.getLogger("asw.asw850.hello"); 
		logger.info("Hello.initialize(): initializing Hello instance");
		/* inizializza la mappa dei saluti */ 
		saluti = new HashMap<String, String>(); 
		saluti.put("it", "Ciao, %s!"); 
		saluti.put("en", "Hello, %s!"); 
		saluti.put("fr", "Bonjour, %s!"); 
		saluti.put("es", "Hola, %s!"); 
	}

	/** Saluta il nome (in modo generico). */ 
	public String hello(String name) {
		String format = "Hello, %s!"; 
		String result = String.format(format, name); 
		logger.info("Hello.hello(" + name + ") ==> " + result);
		return result; 
	}

	/** Saluta il nome in una specifica lingua. */ 
	public String hello(String name, String language) {
		String format = saluti.get(language); 
		String result = String.format(format, name); 
		logger.info("Hello.hello(" + name + ", " + language + ") ==> " + result);
		return result; 
	}

}
