package asw.asw850.calculator;

import java.util.logging.Logger;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;

/**
 * Session Bean implementation class CalculatorBean
 */
@Stateless(mappedName = "ejb/asw850/CalculatorBean")
public class CalculatorBean implements CalculatorRemote {

	/* logger */ 
	private Logger logger; 

	/* inizializza un'istanza del bean */ 
	@PostConstruct
	public void initialize() {
		/* fa il logging sul log del server EJB 
		 * in particolare, nel file C:\glassfish3\glassfish\domains\domain1\logs\server.log */ 
    	logger = Logger.getLogger("asw.asw850.calculator"); 
		logger.info("Calculator.initialize(): initializing CalculatorBean instance");
	}

	/* Calcola la radice quadrata di x. */ 
	public double sqrt(double x) {
		double result = Math.sqrt(x);
		logger.info("Calculator.sqrt(" + x + ") ==> " + result);
		return result; 
	}

}
