package asw.asw850.counter.client;
import java.util.logging.Logger;

import asw.asw850.counter.SessionCounterRemote; 

import asw.util.logging.AswLogger;
import asw.util.sleep.Sleeper;

import javax.ejb.EJB; 

/* 
 * Application client per l'EJB SessionCounterBean. 
 */
public class Main {

	@EJB(lookup = "ejb/asw850/SessionCounterBean")
	public static SessionCounterRemote counter; 
	
	/* logger */ 
	private static Logger logger = AswLogger.getInstance().getLogger("asw.asw850.counter.client"); 

	public static void main(String[] args) {
		new Main() . run(); 
	}
	
	public Main() {		
	}
	
	private void run() {
		logger.info("SessionCounter AppClient: Ora invoco 20 volte il metodo getCounter() di un SessionCounterBean: ");
		for (int i=1; i<=20; i++) {
			logger.info("SessionCounter AppClient: Invocazione " + i + ": " + counter.getCounter());	
			Sleeper.sleep(300); 
		}
		counter.close(); 
		logger.info("SessionCounter AppClient: Ho finito di usare il SessionCounterBean");
	}

}