package asw.asw850.counter.stateless.client;

import java.util.logging.Logger;

import asw.asw850.counter.stateless.StatelessCounterRemote; 

import asw.util.logging.AswLogger;
import asw.util.sleep.Sleeper;

import javax.ejb.EJB; 

/* 
 * Application client per l'EJB SessionCounterBean. 
 */
public class Main {

	@EJB(lookup = "ejb/asw850/StatelessCounterBean")
	public static StatelessCounterRemote counter; 

	/* logger */ 
	private static Logger logger = AswLogger.getInstance().getLogger("asw.asw850.counter.stateless.client"); 

	public static void main(String[] args) {
		new Main() . run(); 
	}
	
	public Main() {		
	}
	
	private void run() {
		logger.info("StatelessSessionCounter AppClient: Ora invoco 20 volte il metodo getCounter() di uno StatelessSessionCounterBean: ");
		for (int i=1; i<=20; i++) {
			logger.info("StatelessSessionCounter AppClient: Invocazione " + i + ": " + counter.getCounter());	
			Sleeper.sleep(500); 
		}
		logger.info("StatelessSessionCounter AppClient: Ho finito di usare lo StatelessSessionCounterBean");
	}

}