package asw.asw850.counter.stateless;

import javax.ejb.Stateless;

import java.util.logging.Logger;

import javax.annotation.PostConstruct;

/**
 * Un altro counter, ma implementato come session bean STATELESS. 
 * Per ragionare, in realt, sul fatto che questa  una stupidaggine. 
 * Va bene (cio, va altrettanto male, usare un session bean SINGLETON.) 
 */
@Stateless(mappedName = "ejb/asw850/StatelessCounterBean")
public class StatelessCounterBean implements StatelessCounterRemote {

	/* logger */ 
	private Logger logger; 

	private int counter; 

	@PostConstruct
	public void initialize() {
		logger = Logger.getLogger("asw.asw850.counter.stateless");
		logger.info("StatelessCounter: initializing StatelessCounter instance");
		counter = 0; 
	}

	@Override
	/* incrementa il contatore e ne restituisce il valore */ 
	public synchronized int getCounter() {
		counter++; 
		logger.info("StatelessCounter: getCounter() ==> " + counter);
		return counter;
	}


}
